### Hierarchy

- PrintService

## Index

### Properties

- $http_
- gettextCatalog_
- goodnessOfFit_
- ngeoLayerHelper_
- printNativeAngle_
- url_
- vectorEncoder

### Methods

- cancel
- createReport
- createSpec
- encodeImageLayer_
- encodeImageWmsLayer_
- encodeLayer
- encodeMap_
- encodeTileLayer_
- encodeTileWmsLayer_
- encodeTileWmtsLayer_
- encodeVectorLayer
- encodeWmsLayer_
- getCapabilities
- getOpacityOrInherited_
- getReportUrl
- getStatus
- getWmtsUrl_

## Properties

### $http_

$http_: IHttpService

- Defined in src/print/Service.js:92

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/print/Service.js:97

### goodnessOfFit_

goodnessOfFit_: number

- Defined in src/print/Service.js:166

### ngeoLayerHelper_

ngeoLayerHelper_: LayerHelper

- Defined in src/print/Service.js:102

### printNativeAngle_

printNativeAngle_: boolean

- Defined in src/print/Service.js:112

### url_

url_: string

- Defined in src/print/Service.js:87

### vectorEncoder

vectorEncoder: default

- Defined in src/print/Service.js:107

## Methods

### cancel

- cancel(ref: string, opt_httpConfig: IRequestShortcutConfig): IHttpPromise<Object>

- - Defined in src/print/Service.js:127

  Cancel a report.

  #### Parameters

  - ##### ref: string

    Print report reference.

  - ##### opt_httpConfig: IRequestShortcutConfig

  #### Returns IHttpPromise<Object>

  HTTP promise.

### createReport

- createReport(printSpec: MapFishPrintSpec, opt_httpConfig: IRequestShortcutConfig): IHttpPromise<MapFishPrintReportResponse>

- - Defined in src/print/Service.js:508

  Send a create report request to the MapFish Print service.

  #### Parameters

  - ##### printSpec: MapFishPrintSpec

    Print specification.

  - ##### opt_httpConfig: IRequestShortcutConfig

  #### Returns IHttpPromise<MapFishPrintReportResponse>

  HTTP promise.

### createSpec

- createSpec(map: Map, scale: number, rotation: number, dpi: number, layout: string, format: string, customAttributes: Object, email: string, goodnessOfFit: number): MapFishPrintSpec

- - Defined in src/print/Service.js:149

  Create a report specification.

  #### Parameters

  - ##### map: Map

    Map.

  - ##### scale: number

    Scale.

  - ##### rotation: number

    Rotation.

  - ##### dpi: number

    DPI.

  - ##### layout: string

    Layout.

  - ##### format: string

    Formats.

  - ##### customAttributes: Object

    Custom attributes.

  - ##### email: string

  - ##### goodnessOfFit: number

  #### Returns MapFishPrintSpec

  The print spec.

### encodeImageLayer_

- encodeImageLayer_(arr: MapFishPrintLayer[], layer: ImageLayer<ImageSource>): void

- - Defined in src/print/Service.js:270

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: ImageLayer<ImageSource>

    Layer.

  #### Returns void

### encodeImageWmsLayer_

- encodeImageWmsLayer_(arr: MapFishPrintLayer[], layer: ImageLayer<ImageSource>): void

- - Defined in src/print/Service.js:284

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: ImageLayer<ImageSource>

    Layer.

  #### Returns void

### encodeLayer

- encodeLayer(arr: MapFishPrintLayer[], layer: BaseLayer, resolution: number, destinationPrintDpi: number): void

- - Defined in src/print/Service.js:246

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: BaseLayer

    Layer.

  - ##### resolution: number

    Resolution.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  #### Returns void

### encodeMap_

- encodeMap_(map: Map, scale: number, object: MapFishPrintMap, destinationPrintDpi: number): void

- - Defined in src/print/Service.js:200

  #### Parameters

  - ##### map: Map

    Map.

  - ##### scale: number

    Scale.

  - ##### object: MapFishPrintMap

    Object.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  #### Returns void

### encodeTileLayer_

- encodeTileLayer_(arr: MapFishPrintLayer[], layer: TileLayer<TileSource>): void

- - Defined in src/print/Service.js:378

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: TileLayer<TileSource>

    Layer.

  #### Returns void

### encodeTileWmsLayer_

- encodeTileWmsLayer_(arr: MapFishPrintLayer[], layer: TileLayer<TileSource>): void

- - Defined in src/print/Service.js:458

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: TileLayer<TileSource>

    Layer.

  #### Returns void

### encodeTileWmtsLayer_

- encodeTileWmtsLayer_(arr: MapFishPrintLayer[], layer: TileLayer<TileSource>): void

- - Defined in src/print/Service.js:394

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: TileLayer<TileSource>

    Layer.

  #### Returns void

### encodeVectorLayer

- encodeVectorLayer(arr: MapFishPrintLayer[], layer: VectorLayer<VectorSource<Geometry>>, resolution: number, destinationPrintDpi: number): void

- - Defined in src/print/Service.js:262

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: VectorLayer<VectorSource<Geometry>>

    Layer.

  - ##### resolution: number

    Resolution.

  - ##### destinationPrintDpi: number

    The destination print DPI.

  #### Returns void

### encodeWmsLayer_

- encodeWmsLayer_(arr: MapFishPrintLayer[], layer: TileLayer<TileSource> | ImageLayer<ImageSource>, url: string, params: Object): void

- - Defined in src/print/Service.js:305

  #### Parameters

  - ##### arr: MapFishPrintLayer[]

    Array.

  - ##### layer: TileLayer<TileSource> | ImageLayer<ImageSource>

    The layer.

  - ##### url: string

    URL of the WMS server.

  - ##### params: Object

    URL parameters

  #### Returns void

### getCapabilities

- getCapabilities(opt_httpConfig: IRequestShortcutConfig): IHttpPromise<MapFishPrintCapabilities>

- - Defined in src/print/Service.js:550

  Get the print capabilities from MapFish Print.

  #### Parameters

  - ##### opt_httpConfig: IRequestShortcutConfig

  #### Returns IHttpPromise<MapFishPrintCapabilities>

  HTTP promise.

### getOpacityOrInherited_

- getOpacityOrInherited_(layer: BaseLayer): number

- - Defined in src/print/Service.js:494

  Return an opacity value for the specified layer.

  #### Parameters

  - ##### layer: BaseLayer

    Layer.

  #### Returns number

  opacity Opacity value.

### getReportUrl

- getReportUrl(ref: string): string

- - Defined in src/print/Service.js:540

  Get the URL of a report.

  #### Parameters

  - ##### ref: string

    Print report reference.

  #### Returns string

  The report URL for this ref.

### getStatus

- getStatus(ref: string, opt_httpConfig: IRequestShortcutConfig): IHttpPromise<MapFishPrintStatusResponse>

- - Defined in src/print/Service.js:527

  Get the status of a report.

  #### Parameters

  - ##### ref: string

    Print report reference.

  - ##### opt_httpConfig: IRequestShortcutConfig

  #### Returns IHttpPromise<MapFishPrintStatusResponse>

  HTTP promise.

### getWmtsUrl_

- getWmtsUrl_(source: WMTS): string

- - Defined in src/print/Service.js:480

  Return the WMTS URL to use in the print spec.

  #### Parameters

  - ##### source: WMTS

    The WMTS source.

  #### Returns string

  URL.

Generated using TypeDoc